<?
include_once('clss_0.php') ;
include_once(_DIR_TO_ENGINE.'/admin/i_admin_system.php') ;
class clss_3 extends clss_0
{ //public $menu =array("name" => "Свойства222222222",				"action" => 2) ; // фото
 //public $default =array("test888" => "1","action" => 2) ; // фото

 function get_create_a_html($parent_reffer)
 { $text='<a class="button v2" cmd=panel_obj_img_upload clss='.$this->clss.' parent_reffer="'.$parent_reffer.'" href="#">'.$this->name.'</a>' ;
   return($text) ;
 }

 // возвращает текст html кнопки для создания объекта
 function get_create_button_html($parent_reffer)
 { $text='<button class=v2 cmd=panel_obj_img_upload clss='.$this->clss.' parent_reffer="'.$parent_reffer.'">Загрузить еще '.$this->name.'</button>'  ;
   return($text) ;
 }

 // реакция на событие удаления объекта - у каждого класса должно выражаться по своему
 function on_delete_event($obj_info,$options=array())
  { if (!$options['debug']) clear_obj_img($obj_info['tkey'],$obj_info['file_name']) ;
    parent::on_delete_event($obj_info,$options) ;
  }

}

?>